package com.dashitech.migration.task.solution;

import com.dashitech.migration.BaseTask;
import com.dashitech.migration.core.FieldMapper;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * @author song
 * @date 2024年10月12日
 */
public class SolutionTask extends BaseTask {

    @Override
    @Transactional
    public void start() {
        StringBuffer sql = new StringBuffer("SELECT id,version,case when categoryId is null then 20342 else 20340 end as type,title,keywords,content,STATUS,");
        sql.append("create_user_id,createtime as create_time,renew_user_id,renewtime as renew_time,solutionnumber as solution_number,");
        sql.append("version_number,star,categoryId as category_id,introduce_count,file_abstract,duty_dept,IF( `status` = 74, 1, 0 ) AS delete_flag FROM itsm_solution");
        List<Map<String, Object>> solutionList = jdbcTemplateMdv2.queryForList(sql.toString());
        FieldMapper mapper = new FieldMapper();
    }

    @Override
    public FieldMapper loadCache() {
        return null;
    }
}
