package com.dashitech.migration;

import com.dashitech.migration.core.FieldMapper;
import com.dashitech.migration.task.uc.CompanyTask;
import com.dashitech.migration.task.uc.HospitalTask;
import com.dashitech.migration.task.uc.XyGroupTask;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * 迁移数据启动类
 * Created by CX on 2024/10/10.
 */
@Service
public class StartApplication {

    public static Log log = LogFactory.getLog(StartApplication.class);

    @Autowired
    SqlTask groupTask;
    @Autowired
    SqlTask userTask;
    @Autowired
    SqlTask userGroupTask;
    @Autowired
    HospitalTask hospitalTask;
    @Autowired
    XyGroupTask xyGroupTask;
    @Autowired
    CompanyTask companyTask;
    @Autowired
    SqlTask roleUserTask;

    @Value("${application.name}")
    private String appName;

    public void start() {
        log.info("########### 开始迁移任务！###########");

        if ("xiangyang".equals(appName)) {
            //责任科室转院区
            //hospitalTask.start();
            //工作组
            //xyGroupTask.start();
        } else {

//            companyTask.start();

//            userTask.start();

//            userGroupTask.start();

//            roleUserTask.start();

            System.out.println("AAAAA");
        }


        log.info("########### 迁移任务完成！###########");
    }


}
